SHOWING 8521 - 8544 OF 14781 ITEMS
  • RF Industries, Ltd.
    NCNR TESSCO SKU: 277401 MFG PART: P2RFC-2312-180 UPC:
  • R&M USA, Inc.
    TESSCO SKU: 611792 MFG PART: R922322 UPC:
  • RF Industries, Ltd.
    TESSCO SKU: 201198 MFG PART: P2RFC-2581-39 UPC:
  • Corning
    NCNR TESSCO SKU: 214027 MFG PART: CCH-CP06-A9 UPC:
  • L-Com Connectivity Product
    NCNR TESSCO SKU: 616492 MFG PART: CA-QPNMA004 UPC:
  • JMA Wireless
    NCNR TESSCO SKU: 298626 MFG PART: L4MW4MW1-12-30 UPC: L4MW4MW1-12-30
  • ANDREW an Amphenol company
    NCNR TESSCO SKU: 270809 MFG PART: TA-NFHF UPC:
  • RF Industries, Ltd.
    TESSCO SKU: 616383 MFG PART: P2RFC-2541-180 UPC:
  • RF Industries, Ltd.
    NCNR TESSCO SKU: 280769 MFG PART: P2RFC-2728-79 UPC:
  • Jsource Technologies
    TESSCO SKU: 254505 MFG PART: 12126FM4SEC UPC:
  • RF Industries, Ltd.
    NCNR TESSCO SKU: 719147 MFG PART: RFC-19338-600 UPC:
  • RF Industries, Ltd.
    NCNR TESSCO SKU: 617262 MFG PART: RFC-19442-48 UPC:
  • Amphenol Network Solutions
    TESSCO SKU: 606550 MFG PART: HX-ML-12LC4A UPC:
  • RF Industries, Ltd.
    NCNR TESSCO SKU: 617263 MFG PART: RFC-19443-120 UPC:
  • ANDREW an Amphenol company
    GSA TESSCO SKU: 558638 MFG PART: HG-10MM-12 UPC:
  • Ventev
    NCNR TESSCO SKU: 265556 MFG PART: RFW-5018-72 UPC:
  • Charles Industries, Ltd.
    NCNR TESSCO SKU: 205732 MFG PART: AFS-4R4R-12-25FT UPC:
  • RF Industries, Ltd.
    NCNR TESSCO SKU: 290740 MFG PART: P2RFC-2163-360 UPC: P2RFC-2163-3602
  • Westell, Inc.
    NCNR TESSCO SKU: 252274 MFG PART: K_77910 UPC: 252274
  • RF Industries, Ltd.
    NCNR TESSCO SKU: 264074 MFG PART: P2RFC-2139-79 UPC:
  • Ventev
    NCNR TESSCO SKU: 516294 MFG PART: TWS240TMNM-60 UPC: 729198459857
  • RF Industries, Ltd.
    GSA NCNR TESSCO SKU: 275590 MFG PART: P2RFC-2730-36 UPC:
  • CommScope Technologies LLC
    GSA NCNR TESSCO SKU: 259661 MFG PART: 760209957 UPC:
  • R&M USA, Inc.
    TESSCO SKU: 611831 MFG PART: AB-LCU-5-PC-HSO UPC:
Filters Clear All
  • Manufacturer Name
  • Clearance
  • Return Policy
  • RF Connector Body Style
  • Jacket Rating
  • Cable Type
  • Jacket Color
  • Environment
  • Coaxial Cable Series
  • Low PIM
  • RF Connector
  • Color Code
  • RF Impedance
  • Frequency Range
  • Fiber Category
  • Wire Gauge